﻿
local StoneGateV6 = foundation.createMod();

StoneGateSetPrefix = "STONE_GATE_V6"

StoneGateV6:log("Hello World: StoneGateV6")
--StoneGateV6:logWarning("This is a warning!")
--StoneGateV6:logError("This is an error!")
--StoneGateV6:msgBox("StoneGateV6: Hello there")

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    StoneGateV6:msgBox("StoneGateV6: game version anterior to 1.6")
    return
end
StoneGateV6:msgBox("StoneGateV6: game version" .. foundation.getGameVersion())

function checkVersion(_name, _id, _minimalVersion)
    if (foundation.getModVersion == nil) then
        StoneGateV6:msgBox("StoneGateV6: Unknown mod version")
        return false
    end
    if not foundation.isModEnabled(_id) then
        StoneGateV6:msgBox("StoneGateV6: " .. _name .. " disabled")
        return false
    end
    if not foundation.isModLoaded(_id) then
        StoneGateV6:msgBox("StoneGateV6: Up the position of " .. _name .. " in the mod list of your game")
        return false
    end
    local _myVersion = foundation.getModVersion(_id)
    StoneGateV6:msgBox("StoneGateV6: " .. _name .. " Current version : " .. _myVersion)
    if version.cmp(_myVersion, _minimalVersion) < 0 then
        StoneGateV6:msgBox("StoneGateV6: Please, load the last version of " .. _name)
        return false
    end
    return true
end

-- check all the dependencies
local flag1 = checkVersion("Window Decorations", "ed248b2a-9fe9-4191-9582-22ad3cf4b0b6", "1.2.2")
local flag2 = checkVersion("Stone Gate Set V5", "ac68bde5-51f9-4eb1-8345-bd71ed4dc8c4", "5.5.2")
if not (flag1 and flag2) then
    return 
end

StoneGateV6:dofile("scripts/monument.lua")
